%global realname rebar
%global upstream rebar

Name:		erlang-%{realname}
Version:	2.6.4
Release:	22%{?dist}
BuildArch:	noarch
Summary:	Erlang Build Tools
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{version}.tar.gz

Provides:	%{realname} = %{version}-%{release}

BuildRequires: git gcc make
BuildRequires: erlang-erts erlang-tools erlang-erl_interface

%description
Erlang Build Tools.

%prep
rm -rf %{realname}-%{version}
gzip -dc ../SOURCES/%{version}.tar.gz | tar -xvvf -
if [ $? -ne 0 ]; then
  exit $?
fi
cd %{realname}-%{version}
chmod -R a+rX,g-w,o-w .

%build
cd %{realname}-%{version}
./bootstrap
./rebar compile -v

%install
cd %{realname}-%{version}
# Install rebar script itself
install -D -p -m 0755 rebar %{buildroot}%{_bindir}/rebar

%files
%{_bindir}/rebar

%changelog
* Thu Dec 19 2019 Albert Hahn <albert@decisiv.com> - 2.6.4-15
- Initial build

